Last Comment Bug 524429 - compilation error on AIX in libfishsound
: compilation error on AIX in libfishsound
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: 1.9.2 Branch
: PowerPC AIX
: -- normal (vote)
: ---
Assigned To: Shailen
:
: Maire Reavy [:mreavy]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 01:18 PDT by Uli Link (:ul-mcamafia)
Modified: 2010-06-25 16:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.7-fixed
.11-fixed


Attachments
AIX port, set DEBUG_LEVEL = 0 und replace macro debug_printf (1.08 KB, patch)
2009-11-01 01:29 PDT, Uli Link (:ul-mcamafia)
no flags Details | Diff | Splinter Review
Patch V 2 (843 bytes, patch)
2009-12-16 04:26 PST, Shailen
no flags Details | Diff | Splinter Review
Patch V 3 (1.15 KB, patch)
2009-12-18 04:02 PST, Shailen
cajbir.bugzilla: review+
Details | Diff | Splinter Review
.patch file (843 bytes, patch)
2009-12-18 04:03 PST, Shailen
cajbir.bugzilla: review+
Details | Diff | Splinter Review
Merged patch (2.18 KB, patch)
2010-04-07 13:31 PDT, Uli Link (:ul-mcamafia)
dveditz: approval1.9.2.7+
dveditz: approval1.9.1.11+
Details | Diff | Splinter Review
Followup for the missing debug.h patch in applied state (4.90 KB, patch)
2010-06-25 15:29 PDT, Uli Link (:ul-mcamafia)
no flags Details | Diff | Splinter Review
Follow for debug.h in applied state (819 bytes, patch)
2010-06-25 15:36 PDT, Uli Link (:ul-mcamafia)
dveditz: approval1.9.2.7+
dveditz: approval1.9.1.11+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2009-10-26 01:18:46 PDT
User-Agent:       Mozilla/5.0 (X11; U; AIX 5.1; en-US; rv:1.8.1.23) Gecko/20091019 SeaMonkey/1.1.18
Build Identifier: FIREFOX 3.5.4 / SEAMONKEY 2.0rc2

GCC specific code breaks building on non-GNU compiler

Building deps for /home/ulink/Src/mozilla-1.9.1/media/libfishsound/src/libfishsound/fishsound_comments.c
xlc_r -qlanglvl=stdc99 -o fishsound_comments.o -c  -DOSTYPE=\"AIX5.1\" -DOSARCH=AIX  -I/home/ulink/Src/mozilla-1.9.1/media/libfishsound/src/libfishsound -I.  -I../../../../dist/include   -I../../../../dist/include/fishsound -I/home/ulink/Src/AIX-51/fx35/dist/include/nspr    -I/home/ulink/Src/AIX-51/fx35/dist/sdk/include   -qflag=w:w     -DNDEBUG -DTRIMMED -O   -DMOZILLA_VERSION=\"1.9.1.4\" -DMOZILLA_VERSION_U=1.9.1.4 -DAIX=1 -DHAVE_SYS_INTTYPES_H=1 -DNSCAP_DISABLE_DEBUG_PTR_TYPES=1 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_INT16_T=1 -DHAVE_INT32_T=1 -DHAVE_INT64_T=1 -DHAVE_INT64=1 -DHAVE_UINT=1 -DHAVE_UINT_T=1 -DHAVE_UINT16_T=1 -DHAVE_DIRENT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_LIBC_R=1 -DHAVE_LIBM=1 -DHAVE_LIBDL=1 -DHAVE_LIBC_R=1 -DFUNCPROTO=15 -DHAVE_XSHM=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 -DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -DHAVE_FT_LOAD_SFNT_TABLE=1 -DHAVE_ARM_SIMD=1 -D_REENTRANT=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_TRUNCATE64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_NINIT=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_I18N_LC_MESSAGES=1 -DMOZ_EMBEDDING_LEVEL_DEFAULT=1 -DMOZ_EMBEDDING_LEVEL_BASIC=1 -DMOZ_EMBEDDING_LEVEL_MINIMAL=1 -DMOZ_PHOENIX=1 -DMOZ_BUILD_APP=browser -DMOZ_XUL_APP=1 -DMOZ_DEFAULT_TOOLKIT=\"cairo-gtk2\" -DMOZ_X11=1 -DMOZ_WIDGET_GTK2=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_PANGO=1 -DOJI=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DACCESSIBILITY=1 -DMOZ_XPINSTALL=1 -DMOZ_JSLOADER=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_NO_XPCOM_OBSOLETE=1 -DMOZ_OGG=1 -DMOZ_WAVE=1 -DMOZ_SYDNEYAUDIO=1 -DMOZ_MEDIA=1 -DMOZ_XTF=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DMOZ_MATHML=1 -DMOZ_ENABLE_CANVAS=1 -DMOZ_SVG=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_PLACES=1 -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_SAFE_BROWSING=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_LOGGING=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_ENABLE_LIBXUL=1 -DHAVE_INTTYPES_H=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_RDF=1 -DMOZ_MORKREADER=1 -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1 -DMOZ_ACCESSIBILITY_ATK=1 -DATK_MAJOR_VERSION=1 -DATK_MINOR_VERSION=12 -DATK_REV_VERSION=3  -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT /home/ulink/Src/mozilla-1.9.1/media/libfishsound/src/libfishsound/fishsound_comments.c
"/home/ulink/Src/mozilla-1.9.1/media/libfishsound/src/libfishsound/debug.h", line 87.24: 1506-1128 (S) The GNU variable argument identifier "y" of macro "debug_printf" is not permitted in the current langlvl mode.
gmake[5]: *** [fishsound_comments.o] Error 1
gmake[5]: Leaving directory `/home/ulink/Src/AIX-51/fx35/media/libfishsound/src/libfishsound'
gmake[4]: *** [libs] Error 2
gmake[4]: Leaving directory `/home/ulink/Src/AIX-51/fx35/media/libfishsound/src'gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory `/home/ulink/Src/AIX-51/fx35/media/libfishsound'
gmake[2]: *** [libs_tier_gecko] Error 2
gmake[2]: Leaving directory `/home/ulink/Src/AIX-51/fx35'
gmake[1]: *** [tier_gecko] Error 2
gmake[1]: Leaving directory `/home/ulink/Src/AIX-51/fx35'
gmake: *** [default] Error 2                                                    

Reproducible: Always

Steps to Reproduce:
1. Compile on AIX with XLC/C++ 7.0 

Actual Results:  
Build broken

Expected Results:  
portable code
Comment 1 Uli Link (:ul-mcamafia) 2009-11-01 01:29:04 PDT
Created attachment 409577 [details] [diff] [review]
AIX port, set DEBUG_LEVEL = 0 und replace macro debug_printf

This Patch makes libfishound compile on AIX with IBM XLC compiler without altering the code for other platforms
Comment 2 Shailen 2009-12-16 04:26:50 PST
Created attachment 417905 [details] [diff] [review]
Patch V 2

Can this be a more appropriate fix ?
Comment 3 Uli Link (:ul-mcamafia) 2009-12-16 04:32:05 PST
Looks better than only disabling debug at all.
Comment 4 cajbir (:cajbir) 2009-12-16 13:57:05 PST
The patch looks fine but you'll also need to add the change as a .patch file to the media/libfishsound directory, add a line to update.sh to apply it, and change README_MOZILLA to describe the patch and what bug it relates too. See the other patches in the media/libfishsound directory for examples. Once you've done this add me as a reviewer and I'll r+ it.
Comment 5 Shailen 2009-12-18 04:02:07 PST
Created attachment 418354 [details] [diff] [review]
Patch V 3

This is patch contains changes to update.sh and README_MOZILLA.

This will be followed by the actual patch as separate attachment
Comment 6 Shailen 2009-12-18 04:03:17 PST
Created attachment 418355 [details] [diff] [review]
.patch file
Comment 7 Shailen 2009-12-18 22:56:39 PST
Can this code be checked in? I couldnt select the keyword - 'checkin needed'
Comment 8 Shailen 2010-02-01 06:18:28 PST
Can someone review the code pls?
Comment 9 cajbir (:cajbir) 2010-02-01 14:15:28 PST
The code has been reviewed. It just needed checkin-needed added to the keywords.
Comment 10 Dão Gottwald [:dao] 2010-02-04 06:54:51 PST
Please merge these two attachments into one patch, using hg add [...]bug524429.patch etc.
Comment 11 Uli Link (:ul-mcamafia) 2010-04-07 13:31:07 PDT
Created attachment 437648 [details] [diff] [review]
Merged patch

Merges Shailen's patches, cleaning CR/LF on line ends and changing comment in README_MOZILLA
Comment 12 Chris Pearce (:cpearce) 2010-04-27 19:52:57 PDT
We have removed libfishsound on trunk, so you should no longer get these compile errors when building on AIX...
Comment 13 Uli Link (:ul-mcamafia) 2010-04-28 01:27:55 PDT
This is needed for mozilla-1.9.1 and mozilla-1.9.2.
Comment 14 Dão Gottwald [:dao] 2010-05-02 03:46:02 PDT
(In reply to comment #13)
> This is needed for mozilla-1.9.1 and mozilla-1.9.2.

You need to request approval for the patch to land on these branches.
Comment 15 Daniel Veditz [:dveditz] 2010-06-14 18:04:57 PDT
We removed the approvals because attachment 418355 [details] [diff] [review] didn't look like the right one... did you mean to request approval on attachment 437648 [details] [diff] [review] ?
Comment 16 Daniel Veditz [:dveditz] 2010-06-14 18:05:25 PDT
Comment on attachment 437648 [details] [diff] [review]
Merged patch

Approved for 1.9.2.6 and 1.9.1.11, a=dveditz for release-drivers
Comment 18 Uli Link (:ul-mcamafia) 2010-06-25 15:21:15 PDT
The patch landed missed to fix 
"media/libfishsound/src/libfishsound/debug.h"

after checkout the fix must be manually applied by calling

"patch -p3 <bug524429.patch"

from "media/libfishsound" dir
for 1.9.2 and 1.9.1
Comment 19 Uli Link (:ul-mcamafia) 2010-06-25 15:29:48 PDT
Created attachment 454150 [details] [diff] [review]
Followup for the missing debug.h patch in applied state
Comment 20 Uli Link (:ul-mcamafia) 2010-06-25 15:31:34 PDT
Comment on attachment 454150 [details] [diff] [review]
Followup for the missing debug.h patch in applied state

Sorry, not selective enough
Comment 21 Uli Link (:ul-mcamafia) 2010-06-25 15:36:08 PDT
Created attachment 454153 [details] [diff] [review]
Follow for debug.h in applied state

applied the patch locally and then recreated from topsrcdir with "hg -U 8 -p"
Comment 22 Daniel Veditz [:dveditz] 2010-06-25 15:40:38 PDT
Comment on attachment 454153 [details] [diff] [review]
Follow for debug.h in applied state

Approved for 1.9.2.6 and 1.9.1.11, a=dveditz for release-drivers
Comment 23 :Ehsan Akhgari 2010-06-25 15:51:34 PDT
Comment on attachment 454153 [details] [diff] [review]
Follow for debug.h in applied state

This patch does not apply to 1.9.2 correctly, and also this line looks seriously wrong to me:

+#elif defined AIX
Comment 24 :Ehsan Akhgari 2010-06-25 15:59:44 PDT
Disregard my rant about #elif in comment 23.

Followup pushed to branches:

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/854c60042611
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/0609a52be9cb
Comment 25 Uli Link (:ul-mcamafia) 2010-06-25 16:22:07 PDT
Successfully built from hg source on AIX 5.1 with ultra picky IBM XLC/C++ 7, verified fixed

Note You need to log in before you can comment on or make changes to this bug.